/******************************************************************************/
/* PDirectory header file.                                                    */
/******************************************************************************/
/* This is part of the PolyKit library.                                       */
/* Copyright (C) 1998-1999 by Polycode.                                       */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may be used for free in free- and shareware */
/* programs. For commercial programs, you have to pay a fee to use it. See    */
/* the license file for more information.                                     */
/******************************************************************************/


#ifndef __PDirectory_h
#define __PDirectory_h

// PolyKit headers
#include "POS.h"
#include "PString.h"
#include "ImportExport.h"


/******************************************************************************/
/* PDirectory class                                                           */
/******************************************************************************/
#if __p_os == __p_beos && __POWERPC__
#pragma export on
#endif

class _IMPEXP_PKLIB PDirectory
{
public:
	enum PFindType {pLaunch, pSettings};
	enum PEntryType {pAny, pFile, pDirectory, pLink};

	PDirectory(void);
	PDirectory(PString name);
	virtual ~PDirectory(void);

	void SetDirectory(PString name);
	PString GetDirectory(void) const;
	void Append(PString name);

	void FindDirectory(PFindType type);
	void CreateDirectory(void) const;

	bool Contains(PString name, PEntryType type = pAny) const;

	void InitEnum(PEntryType type);
	bool GetNextEntry(PString &name, PEntryType &type);
	void EndEnum(void);

	static PString GetDirectoryPart(PString path);
	static PString GetFilePart(PString path);

protected:
	PString dirName;
	PEntryType enumType;

#if __p_os == __p_beos
	BDirectory *enumDir;

#elif __p_os == __p_windows

	HANDLE searchHandle;
	WIN32_FIND_DATA findData;
	bool enumInitialized;

#endif
};

#if __p_os == __p_beos && __POWERPC__
#pragma export off
#endif

#endif
