/******************************************************************************/
/* PException implementation file.                                            */
/******************************************************************************/
/* This is part of the PolyKit library.                                       */
/* Copyright (C) 1998-1999 by Polycode.                                       */
/* All rights reserved.                                                       */
/*                                                                            */
/* This source, or parts thereof, may be used for free in free- and shareware */
/* programs. For commercial programs, you have to pay a fee to use it. See    */
/* the license file for more information.                                     */
/******************************************************************************/


#define _BUILDING_POLYKIT_LIBRARY_

// PolyKit headers
#include "PException.h"


/******************************************************************************/
/* PException class                                                           */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PException::PException(int32 error)
{
	errorNum = error;
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PException::~PException(void)
{
}



/******************************************************************************/
/* PBoundsException class                                                     */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PBoundsException::PBoundsException(int32 error, double val) : PException(error)
{
	value = val;
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PBoundsException::~PBoundsException(void)
{
}



/******************************************************************************/
/* PFileException class                                                       */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PFileException::PFileException(int32 error, PString file) : PException(error)
{
	fileName = file;
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PFileException::~PFileException(void)
{
}



/******************************************************************************/
/* PKeyException class                                                        */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PKeyException::PKeyException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PKeyException::~PKeyException(void)
{
}



/******************************************************************************/
/* PMemoryException class                                                     */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PMemoryException::PMemoryException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PMemoryException::~PMemoryException(void)
{
}



/******************************************************************************/
/* PResourceException class                                                   */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PResourceException::PResourceException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PResourceException::~PResourceException(void)
{
}



/******************************************************************************/
/* PSoundException class                                                      */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PSoundException::PSoundException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PSoundException::~PSoundException(void)
{
}



/******************************************************************************/
/* PSystemException class                                                     */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PSystemException::PSystemException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PSystemException::~PSystemException(void)
{
}



/******************************************************************************/
/* PUserException class                                                       */
/******************************************************************************/

/******************************************************************************/
/* Constructor                                                                */
/******************************************************************************/
PUserException::PUserException(int32 error) : PException(error)
{
}



/******************************************************************************/
/* Destructor                                                                 */
/******************************************************************************/
PUserException::~PUserException(void)
{
}
